
************************************************************
************************************************************
*This program generates quarterly spending and demographics data from the CE FMLI datasets to be used in the payday analysis

************************************************************
************************************************************

clear
set mem 3g
set maxvar 32767


cd /oplcusers/dobridgc/AllFilesforPaydayAnalysis/DataFiles/CEInterview_DataFiles


*****************************
*****************************
*EXPENDITURES AND DEMOGRAPHICS FROM THE FMLY FILE ONLY
*****************************


cd "/oplcusers/dobridgc/PUMDinterview/FMLI_Files"

*1998
 use fmli981x.dta
 append using fmli982.dta
 append using fmli983.dta
 append using fmli984.dta
 gen surveyyear = "1998"

*1999
 append using fmli991x.dta
 append using fmli992.dta
 append using fmli993.dta
 append using fmli994.dta
 replace surveyyear = "1999" if missing(surveyyear)

*2000
 append using fmli001x.dta
 append using fmli002.dta
 append using fmli003.dta
 append using fmli004.dta
 replace surveyyear = "2000" if missing(surveyyear)

*2001
 append using fmli011x.dta
 append using fmli012.dta
 append using fmli013.dta
 append using fmli014.dta
 replace surveyyear = "2001" if missing(surveyyear)

*2002
 append using fmli021x.dta
 append using fmli022.dta
 append using fmli023.dta
 append using fmli024.dta
 replace surveyyear = "2002" if missing(surveyyear)

*2003
 append using fmli031x.dta
 append using fmli032.dta
 append using fmli033.dta
 append using fmli034.dta
 replace surveyyear = "2003" if missing(surveyyear)

*2004
 append using fmli041x.dta
 append using fmli042.dta
 append using fmli043.dta
 append using fmli044.dta
 replace surveyyear = "2004" if missing(surveyyear)

*2005
 append using fmli051x.dta
 append using fmli052.dta
 append using fmli053.dta
 append using fmli054.dta
 replace surveyyear = "2005" if missing(surveyyear)

*2006
 append using fmli061x.dta
 append using fmli062.dta
 append using fmli063.dta
 append using fmli064.dta
 replace surveyyear = "2006" if missing(surveyyear)

*2007
 append using fmli071x.dta
 append using fmli072.dta
 append using fmli073.dta
 append using fmli074.dta
 replace surveyyear = "2007" if missing(surveyyear)

*2008
 append using fmli081x.dta
 append using fmli082.dta
 append using fmli083.dta
 append using fmli084.dta
 replace surveyyear = "2008" if missing(surveyyear)

*2009
 append using fmli091x.dta
 append using fmli092.dta
 append using fmli093.dta
 append using fmli094.dta
 replace surveyyear = "2009" if missing(surveyyear)

*2010
 append using fmli101x.dta
 append using fmli102.dta
 append using fmli103.dta
 append using fmli104.dta
 replace surveyyear = "2010" if missing(surveyyear)

*2011
 append using fmli111x.dta
 append using fmli112.dta
 append using fmli113.dta
 append using fmli114.dta
 replace surveyyear = "2011" if missing(surveyyear)

*2012
 append using fmli121x.dta
 append using fmli122.dta
 append using fmli123.dta
 append using fmli124.dta
 replace surveyyear = "2012" if missing(surveyyear)

#delimit ;


local vars_to_keep 
	
	"newid qintrvmo qintrvyr surveyyear interi bls_urbn cutenure earncomp
	fam_size fam__ize fam_type no_earnr num_auto perslt18 persot64 hh_cu_q hhid
	smsastat vehq childage state povlevcy povlevpy records age_ref age2 educ_ref educ0ref educa2
	marital1 mari_al1 ref_race ref__ace race2 sex_ref sex2 inc_hrs1 inc_hrs2 incomey1 incomey2 incweek1 incweek2
	occucod1 occucod2 incnonw1 incnonw2
	origin1 origin2 horref1 horref2
	compensx comp_nsx compensm comp_nsm compensi
	fincatax fincat_x fincatxm finca_xm
	fincbtax fincbt_x fincbtxm fincb_xm fincbtxi
	fsalaryx fsal_ryx fsalarym fsal_rym fsalaryi
	fnonfrmx fnon_rmx fnonfrmm fnon_rmm fnonfrmi
	ffrmincx ffrm_ncx ffrmincm ffrm_ncm ffrminci
	frretirx frre_irx frretirm frre_irm frretiri
	fssix fssix_ fssixm fssixm_ fssixi 
	intearnx inte_rnx intearnm inte_rnm intearni
	othrincx othr_ncx othrincm othr_ncm othrinci
	pensionx pens_onx pensionm pens_onm pensioni
	inclossa incl_ssa inclosam incl_sam inclosai
	inclossb incl_ssb inclosbm incl_sbm inclosbi
	unemplx unemplx_ unemplxm unem_lxm unemplxi
	welfarex welf_rex welfarem welf_rem welfarei
	finincx finincx_ finincxm fini_cxm finincxi
	aliothx aliothx_ aliothxm alio_hxm aliothxi
	chdothx chdothx_ chdothxm chdo_hxm chdothxi
	foodsmpx food_mpx foodsmpm food_mpm foodsmpi
	jfdstmpa jfds_mpa foodsmpb foodsmpq food_mpb 
	bsinvstx ckbkactx compbnd compbndx compckg compckgx compowd compowdx
	compsav compsavx compsec compsecx monyowdx savacctx secestx usbndx
	wdbsastx wdbsgdsx fdhomepq fdhomecq
	finlwt21
	st_hous hh_cu_q
 	totexp*  food* fdhome*  fdaway* 	owndwe*  mrtint*  proptx*  mrpins*
  	rendwe*  rntxrp*  rntapy*  	allful*  fuloil*  othfls*
  	domsrv*  dmsxcc*  bbyday*  	shelt*   othlod*
  	util*  ntlgas*  elctrc*  allful*  teleph*  watrps*
  	housop*  domsrv*  othhex*  	houseq*  textil*  furntr*  flrcvr*  majapp*  smlapp*  misceq*
  	hous*    	menboy*   	womgrl*    	appar*  chldrn*  footwr*  othapl*
  	trans*  cartkn*  cartku*  othveh*  gasmo*  vehfin*  mainrp*  vehins*  vrntlo*  pubtra*
  	health*  hlthin*  medsrv*  predrg*  medsup*
  	pettoy*  othent*  	entert* feeadm*  tvrdio*  otheqp*
  	perins*  lifins*  retpen*   
	alcbev*	 tobacc* fdxmap* misc* read* educa*
";
#delimit cr

keep `vars_to_keep' 


*Generate the quarterly spending variables from these variables


#delimit ;
local vars_to_sum "totexp food fdhome alcbev tobacc fdxmap fdaway  mrtint  proptx mrpins
  rntxrp  rntapy allful  fuloil  othfls
  domsrv  dmsxcc  bbyday  shelt  owndwe  rendwe  othlod
  util  ntlgas  elctrc   teleph  watrps
  housop  othhex  houseq  textil  furntr  flrcvr  majapp  smlapp  misceq
  hous   appar  menboy  womgrl chldrn  footwr  othapl
  trans  cartkn  cartku  othveh  gasmo  vehfin  mainrp  vehins  vrntlo  pubtra
  health  hlthin  medsrv  predrg  medsup
   pettoy  othent  entert feeadm  tvrdio  otheqp
  perins  lifins  retpen misc read educa";  
#delimit cr

foreach Y of local vars_to_sum {

gen `Y' = `Y'pq + `Y'cq

}


*Total nondurable good expenditures--narrow definition (Lusardi(1996) and Johnson,Parker,Souleles(2006))
	*Expenditures on food, utilities, household operations, public transportation, gas and motor oil, tobacco, miscellaneous goods
 gen nd_nar = food + alcbev + housop + pubtra + gasmo + tobacc + misc

*Total nondurable good expenditures--broad definition (Lusardi(1996) and Johnson,Parker,Souleles(2006))
	*Adds expenditures on apparel goods and serices, health care expenditures (excluding payments by employers or insurers) and reading material
 gen nd_br = nd_nar + appar + health + read

*Durable goods--total minus nondurable_broad
 gen durgds= totexp - nd_br

*Alcohol and tobacco:
 gen alctob = alcbev + tobacc

*Vehicles: 
 gen vehic = cartkn + cartku + othveh + vehfin

*Foodaway + entertaiment
 gen fdawent = fdxmap + entert

*Housing + utilities
 gen hsutil = shelt + util

*Household repairs, services and furnishings
 gen hhopfn = housop + houseq


*Drop the PQ and CQ variables for space constraints
foreach Y of local vars_to_sum {

drop `Y'pq `Y'cq 


}

save "/oplcusers/dobridgc/PUMDinterview/FMLI_Files/fmli_98_12_Mar2014.dta", replace
clear


*---------------------------------------------------------
*---------------------------------------------------------
*Load the FMLY file data for data filters etc...
*---------------------------------------------------------
*---------------------------------------------------------

use "/oplcusers/dobridgc/PUMDinterview/FMLI_Files/fmli_98_12_Mar2014.dta"

*------------------------------------------
*Generate a variable for the last month of consumption that each survery covered--
*This will be used to match to the appropriate monthl CPI average and controls
*------------------------------------------
gen dataendmonth = monthly(qintrvmo+"-"+qintrvyr, "my") -1
format dataendmonth %tm

*------------------------------------------
*Generate some data cleaning variables here, before merging with the monthly data
*------------------------------------------
tostring(newid), replace
replace newid = "00"+newid if length(newid) == 6
replace newid = "0"+newid if length(newid) == 7

*Generate cuid as a string variable

gen cuid = substr(newid, 1, 7)

*Generate the interi variable--it isn't there for every household now

tostring(interi), replace
replace interi = substr(newid, 8,1) if interi == "."

sort cuid interi
destring cuid interi, replace
xtset cuid interi

*Generate age as the average of the couple if married, and the age of the reference person otherise
  gen age = (age_ref + age2)/2 if marital1 == "1"
  replace age = age_ref if missing(age)

*Drop households that report age changing by more than one or a negative amount between quarters
  gen age_change = age - L.age
  gen age_flag = (age_change>1 | age_change <0) if !missing(age_change)
  replace age_flag = 0 if missing(age_flag)
  drop if age_flag

*Drop households that report changes in the nuumber of children or adults greater than three in absolute magnitudebetween quarters
  gen num_adults = fam_size - perslt18
  gen hh_num_change = fam_size - L.fam_size
  replace hh_num_change = 0 if missing(hh_num_change)
  drop if hh_num_change >3 | hh_num_change <-3

 *--------------------------------------------------
 *Other data cleaning
 *--------------------------------------------------

*Johnson Parker and Souleles
 *Drop households residing in student housing
  drop if st_hous == "1"

*Drop househodls that report age less than 21
  drop if age <21

*Drop households that report age greater than 85
  drop if age >85

*Other in Dynan and Maki
*Households with more than one consumer unit
  drop if hh_cu_q >1


**********************************
*Additional Data Cleaning 
**********************************

*1) Generate variable for if topcoded or an invalid blank
  gen topcode_inc = 0
  replace topcode_inc = 1 if fincbt_x == "T" | fincbt_x== "B" | fincbt_x == "C" | fincb_xm == "T" | fincb_xm == "B" | fincb_xm == "C"

*2) Generate a variable for if in the top or bottom 1 percent of log income and expenditure changes

 gen income = fincbtax/1000
 replace income = fincbtxm/1000 if missing(fincbtax)
 gen lnincome = ln(income)
 gen income_sq = income^2
 gen income_cu = income^3

 gen salary = fsalaryx/1000
 replace salary = fsalarym/1000 if missing(fsalaryx) 
 replace salary = 0 if missing(salary)
 gen lnsalary = ln(salary)

  gen logch_inc = lnincome - L.lnincome
  xtile logch_inc_xtile = logch_inc, nq(100)
  gen tail_inc = logch_inc_xtile== 1 | logch_inc_xtile == 100
  egen tail_inc_cuid = max(tail_inc), by(cuid)
  
  gen ln_totexp = ln(totexp)
  gen logch_exp = ln_totexp - L.ln_totexp
  xtile logch_exp_xtile = logch_exp, nq(100)
  gen tail_exp = logch_exp_xtile== 1 | logch_exp_xtile == 100
  egen tail_exp_cuid = max(tail_exp), by(cuid)

  gen tail_inc_exp_obs = logch_inc_xtile == 1 | logch_inc_xtile == 100 | logch_exp_xtile == 1 | logch_exp_xtile == 100
  gen tail_inc_exp_cuid = tail_inc_cuid | tail_exp_cuid

*3)Generate a variable for if valid data on family size, education, race and marital status
  gen invaliddemo = fam__ize == "B" | fam__ize == "C" | mari_al1 == "B" | mari_al1 == "C" |  ref__ace == "B" | ref__ace == "C" | educ0ref == "B" | educ0ref == "C"

*4)Drop households with non-positive income
  gen neg_income = income <=0

*5) Age between 24 and 65
  gen invalidage = age <= 24 | age >=65

*---------------------------------------------------------
*---------------------------------------------------------
*CREATE NEW VARIABLES FOR ANALYSIS
*---------------------------------------------------------
*---------------------------------------------------------

*-------------------------------------------------------------
*Generate black or hispanic dummy variables
*-------------------------------------------------------------

 gen black_or_hisp =0

*horref1 is missing if not hispanic, origin = 2 is "Spanish", origin = 3 is "Afro-American", ref_race == 2 is African American or Black
 replace black_or_hisp = 1 if !missing(horref1) | origin1 == "2" | origin1 == "3" | ref_race == "2" 

 gen hisp = 0
 replace hisp = 1 if !missing(horref1) | origin1 == "2"

 gen black = 0
 replace black = 1 if ref_race == "2"

*-------------------------------------------------------------
*Generate variable for job reduction over the sample period
*-------------------------------------------------------------

gen incweek1_int2_temp = incweek1 if interi == 2
egen incweek1_int2 = max(incweek1_int2_temp), by(cuid)

gen incweek1_int5_temp = incweek1 if interi == 5
egen incweek1_int5 = max(incweek1_int5_temp), by(cuid)

gen incweek2_int2_temp = incweek2 if interi == 2
egen incweek2_int2 = max(incweek2_int2_temp), by(cuid)

gen incweek2_int5_temp = incweek2 if interi == 5
egen incweek2_int5 = max(incweek2_int5_temp), by(cuid)

drop incweek1_int2_temp incweek1_int5_temp incweek2_int2_temp incweek2_int5_temp 

gen incweek1_dif = incweek1_int5 - incweek1_int2
gen incweek2_dif = incweek2_int5 - incweek2_int2

gen incshockhh = (incweek1_dif <0) | (incweek2_dif <0)
gen incshockhh_1 = (incweek1_dif <0) 
gen incshockhh_2 = (incweek1_dif <0) 


*-------------------------------------------------------------
*Generate income class variables to be consistent across years of the survey
*-------------------------------------------------------------

*Replace income values of zero with missing (wage and salary income, unemployment insurance, business income, farm income, social security income, 
*welfare income, pension income and supplemental security income

 local income_vars "fsalaryx unemplx fnonfrmx ffrmincx frretirx fssix welfarex pensionx"
 local income_vars_imputed "fsalarym unemplxm fnonfrmm ffrmincm frretirm fssixm welfarem pensionm"
 local income_flag "fsalaryi unemplxi fnonfrmi ffrminci frretiri fssixi welfarei pensioni"

*Change zeros to missing values for each evaluation
 foreach Y in `income_vars' {
 replace `Y' = . if `Y' == 0
 }

 foreach Y in `income_vars_imputed' {
 replace `Y' = . if `Y' == 0
 }

*Create a variable that is the first number of the imputed variable flag 
 foreach Y in `income_flag' {
 generate `Y'_flag = floor(`Y'/100)
}

*Create a flag variable for if the imputed data is missing and it is a valid zero, or if it is not missing, and the flag is a 2--indicating it was an invalid blank, 
*and the imputed income variable is not zero

 foreach Y in `income_vars_imputed' {
 generate `Y'_invalidblank = 0
 }
 replace fsalarym_invalidblank = 1 if (missing(fsalarym) & fsalaryi_flag == 1) |(!missing(fsalarym) & fsalaryi_flag == 2)
 replace unemplxm_invalidblank = 1 if (missing(unemplxm) & unemplxi_flag == 1) |(!missing(unemplxm) & unemplxi_flag == 2)
 replace fnonfrmm_invalidblank = 1 if (missing(fnonfrmm) & fnonfrmi_flag == 1) |(!missing(fnonfrmm) & fnonfrmi_flag == 2)
 replace ffrmincm_invalidblank = 1 if (missing(ffrmincm) & ffrminci_flag == 1) |(!missing(ffrmincm) & ffrminci_flag == 2)
 replace frretirm_invalidblank = 1 if (missing(frretirm) & frretiri_flag == 1) |(!missing(frretirm) & frretiri_flag == 2)
 replace fssixm_invalidblank = 1 if (missing(fssixm) & fssixi_flag == 1) |(!missing(fssixm) & fssixi_flag == 2)
 replace welfarem_invalidblank = 1 if (missing(welfarem) & welfarei_flag == 1) |(!missing(welfarem) & welfarei_flag == 2)
 replace pensionm_invalidblank = 1 if (missing(pensionm) & pensioni_flag == 1) |(!missing(pensionm) & pensioni_flag == 2)

* (`Y' != 0 & fsalaryi_flag == 2)
 gen income_miss = 0
*If the survey year is 2003 and below or 2006 and above, replace the income missing dummy = 1 if the reported income for all of these categories is missing
*Categories are wage and salary income, unemployment income, business cinome, farm income, social security income, welfare income and pension income
 replace income_miss = 1 if (surveyyear<="2003" | surveyyear >= "2006") & missing(fsalaryx) & missing(unemplx) & missing(fnonfrmx) & missing(ffrmincx) & missing(frretirx) & missing(fssix) & missing(welfarex) & missing(pensionx)

 *If the survey year is 2004 or 2005,when BLS only reported the imputed income variables, flag as missing if invalid blank = 1
 replace income_miss = 1 if (surveyyear=="2004" | surveyyear == "2005") & fsalarym_invalidblank == 1 & unemplxm_invalidblank == 1 & fnonfrmm_invalidblank == 1 &  ffrmincm_invalidblank == 1 & frretirm_invalidblank == 1 & fssixm_invalidblank == 1 & welfarem_invalidblank == 1 & pensionm_invalidblank == 1
 
* order newid qintrvyr surveyyear income_miss fincbtax fincbtxm fincbtxi fsalaryi_flag fsalarym fsalarym_invalidblank fsalaryx  unemplxi_flag unemplxm unemplx unemplxm_invalidblank fnonfrmi_flag fnonfrmm fnonfrmx ffrminci_flag ffrmincm ffrmincx frretiri_flag frretirm frretirx frretirm_invalidblank fssixi_flag fssixm fssix welfarei_flag  welfarem welfarex pensioni_flag pensionm pensionx

 

 *--------------------------------------------------
*Create a variable that adjusts nondurable consumption for family size, and limits the bottom 1%
 *--------------------------------------------------
  gen nd_br_adj = nd_br*(num_adults + perslt18*0.7)^(0.7)
  gen totexp_adj = totexp*(num_adults + perslt18*0.7)^(0.7)

  xtile nd_br_adj_xtile = nd_br_adj, nq(100)
  xtile totexp_adj_xtile = totexp_adj, nq(100)

 
 *--------------------------------------------------
 *Create a new income class variable based on reported income only 
 *--------------------------------------------------

 gen inclassnew = "01" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax <= 4999
 replace inclassnew = "01" if (surveyyear=="2004" | surveyyear == "2005") & fincbtxm <= 4999
 
 replace inclassnew = "02" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 5000 & fincbtax <= 9999
 replace inclassnew = "02" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 5000 & fincbtxm <= 9999
  
 replace inclassnew = "03" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 10000 & fincbtax <= 14999
 replace inclassnew = "03" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 10000 & fincbtxm <= 14999
 
 replace inclassnew = "04" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 15000 & fincbtax <= 19999
 replace inclassnew = "04" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 15000 & fincbtxm <= 19999
 
 replace inclassnew = "05" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 20000 & fincbtax <= 29999
 replace inclassnew = "05" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 20000 & fincbtxm <= 29999

 replace inclassnew = "06" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 30000 & fincbtax <= 39999
 replace inclassnew = "06" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 30000 & fincbtxm <= 39999
 
 replace inclassnew = "07" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 40000 & fincbtax <= 49999
 replace inclassnew = "07" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 40000 & fincbtxm <= 49999
 
 replace inclassnew = "08" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 50000 & fincbtax <= 69999
 replace inclassnew = "08" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 50000 & fincbtxm <= 69999
 
 replace inclassnew = "09" if !(surveyyear=="2004" | surveyyear == "2005") & fincbtax >= 70000 
 replace inclassnew = "09" if  (surveyyear=="2004" | surveyyear == "2005") & fincbtxm >= 70000 



*Generate a variable for the saving share of income
gen sav_missing = missing(savacctx)
replace savacctx = 0 if missing(savacctx)
gen sav_incratio = savacctx/(income*1000)

sort newid dataendmonth
save "/oplcusers/dobridgc/PaydayAnalysis_Fall2015/Datafiles/master_payday_CEXinterviewQuarterly_10.29.15.dta", replace
clear


*----------------------------------------------------------------------------
*----------------------------------------------------------------------------
*MERGE IN STATE-LEVEL CONTROL VARIABLES
*----------------------------------------------------------------------------
*----------------------------------------------------------------------------

*Sort geographic indicators to merge in (Note this is the confidential data file)
use "/oplcusers/dobridgc/AllFilesforPaydayAnalysis/DataFiles/CEInterview_DataFiles/GeocodeNewid_98_12.dta"
*gen dataendmonth = datamonth
*format dataendmonth %tm
sort state_county_fips dataendmonth
save "/oplcusers/dobridgc/AllFilesforPaydayAnalysis/DataFiles/CEInterview_DataFiles/GeocodeNewid_98_12.dta", replace
clear


*Code for matching the unemployment rates to NEWIDs first and deleting all extra variables
use "/oplcusers/dobridgc/countycontroldata_90_2012.dta"
gen dataendmonth = datamonth
format dataendmonth %tm

*Generate variables that are the 3month average 
sort state_county_fips dataendmonth

merge state_county_fips dataendmonth using "/oplcusers/dobridgc/AllFilesforPaydayAnalysis/DataFiles/CEInterview_DataFiles/GeocodeNewid_98_12.dta", uniqmaster

drop if _merge !=3
drop _merge


sort newid dataendmonth
save "/oplcusers/dobridgc/AllFilesforPaydayAnalysis/DataFiles/CEInterview_DataFiles/EmpHPIControls_Newid.dta", replace
clear


*-------------------------------------------------
*Merge the control variables with the master file
*-------------------------------------------------
use "/oplcusers/dobridgc/PaydayAnalysis_Fall2015/Datafiles/master_payday_CEXinterviewQuarterly_10.29.15.dta"
sort newid dataendmonth

*Drop variables not using to make the dataset smaller
drop ffrmincx ffrm_ncx finincx finincx_ fnonfrmx fnon_rmx frretirx frre_irx fssix fssix_ inclossa incl_ssa inclossb incl_ssb incomey1 incomey2 intearnx inte_rnx othrincx othr_ncx pensionx pens_onx fsalaryi_flag unemplxi_flag fnonfrmi_flag ffrminci_flag frretiri_flag fssixi_flag welfarei_flag pensioni_flag fsalarym_invalidblank unemplxm_invalidblank fnonfrmm_invalidblank ffrmincm_invalidblank frretirm_invalidblank fssixm_invalidblank welfarem_invalidblank pensionm_invalidblank vehq wdbsastx wdbsgdsx chdothx chdothx_ aliothx aliothx_ povlevcy povlevpy aliothxm alio_hxm aliothxi chdothxm chdo_hxm chdothxi compensm comp_nsm compensi ffrmincm ffrm_ncm ffrminci finincxm fini_cxm finincxi fnonfrmm fnon_rmm fnonfrmi frretirm frre_irm frretiri fssixm fssixm_ fssixi inclosam incl_sam inclosai inclosbm incl_sbm inclosbi intearnm inte_rnm intearni othrincm othr_ncm othrinci pensionm pens_onm pensioni bsinvstx


merge newid dataendmonth using "/oplcusers/dobridgc/AllFilesforPaydayAnalysis/DataFiles/CEInterview_DataFiles/EmpHPIControls_Newid.dta", unique


drop if _merge !=3
drop _merge

save "/oplcusers/dobridgc/PaydayAnalysis_Fall2015/Datafiles/master_payday_CEXinterviewQuarterly_10.29.15.dta", replace
clear



*------------------------------------
*Merge in state fiscal control data
*--------------------------------------
use "/oplcusers/dobridgc/PaydayAnalysis_Fall2015/Datafiles/master_payday_CEXinterviewQuarterly_10.29.15.dta", replace

gen datayear = year(dofm(dataendmonth))
sort state_fips datayear

merge state_fips datayear using "/oplcusers/dobridgc/geo ids/State_FiscalControls_98_12v9.dta", uniqusing
drop if _merge !=3
drop _merge

save "/oplcusers/dobridgc/PaydayAnalysis_Fall2015/Datafiles/master_payday_CEXinterviewQuarterly_10.29.15.dta", replace

clear




